export default {
  methods: {
    reject () {
      return Promise.reject()
    },
    onResolve (item) {
      this.resolve(item).then(this.refresh)
    },
    onReject (obj) {
      this.$emit('reject', obj)
    },
    refresh () {
      this.$refs.table.decrease(1)
    }
  }
}
